# Process text selection

A special block that awaits text selected for processing from within another app.

The fiber will pause until a flow has been chosen to process a text selection. On Android 6 it’s usually done by selecting text and choosing Automate flow in the overflow menu of the “cut, copy & paste“ popup.

If the selected text is replaceable (editable) the SET path is executed, which should include a Process text set block in the same fiber to complete the process, otherwise the process isn’t canceled until the fiber stops or the user does so manually. The OK path is executed if the selected text is read-only so it can’t be replaced, or the SET path is unconnected.

Note! This feature requires Android 6+. May not work on Android 8 due to bugs in that version.

## Input arguments

- Title — title to display when choosing a target flow, default is the Flow beginning title.

## Output variables

- Selected text — variable to assign the selected text.